public class MakeJNI{
	static{
		System.loadLibrary("MakeJNI");
	      }
	public native static int JNIMake(String s, long nClumn, long nErr, long nHLRatio,long nHeight);
	public native static int JNISetColorDepth(int depth);
	public native static int JNIGetColorDepth();
       public native static long JNIMixText(String  szText, long lFontSize, long lTxtHeight, long lHmargin, long lVmargin, long lTxtCntOneLine);

	public static void main(String[] args){
		MakeJNI makejni = new MakeJNI();
		makejni.JNIMake("jisuanjixitongshiyanshi",6,3,3,38);
             	makejni.JNIMixText("12345678",0,40,10,5,9);
		makejni.JNISetColorDepth(24);
		makejni.JNIGetColorDepth();
}
}